--- DocTest-v1.cs	2007-10-28 20:10:26.000000000 -0400
+++ DocTest.cs	2007-12-10 13:29:32.000000000 -0500
@@ -1,6 +1,9 @@
 using System;
 using System.Collections;
 using System.Collections.Generic;
+using System.Reflection;
+
+[assembly: AssemblyVersion ("2.0.0.0")]
 
 namespace System {
 	/* 
@@ -37,15 +40,7 @@
 		{
 			return null;
 		}
-
-		// ECMA docs *incorrectly* document parameter -- skip
-		public static void Resize<T> (ref T[] array, int newSize)
-		{
-		}
 	}
-
-	// to test ECMA doc importing...
-	public delegate void AsyncCallback (IAsyncResult ar);
 }
 
 namespace Mono.DocTest {
@@ -279,6 +274,9 @@
 		/// <remarks><c>M:Mono.DocTest.UseLists.UseHelper``3(Mono.DocTest.Generic.MyList{``0}.Helper{``1,``2})</c>.</remarks>
 		public void UseHelper<T,U,V> (Generic.MyList<T>.Helper<U,V> helper) {}
 	}
+
+	public class AddedType {
+	}
 }
 
 namespace Mono.DocTest.Generic {
@@ -294,6 +292,8 @@
 			return default(U);
 		}
 
+		public void AddedInVersion0_1_0_0 () {}
+
 		/// <param name="list">Insert description here</param>
 		/// <remarks><c>M:Mono.DocTest.GenericBase`1.op_Explicit(Mono.DocTest.GenericBase{`0})~`0</c></remarks>
 		/// <returns>The default value for <typeparamref name="U"/>.</returns>
